Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1195457 - nodejs-0.10.36 causes undefined symbols
Summary: nodejs-0.10.36 causes undefined symbols
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nodejs
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: T.C. Hollingsworth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-23 21:20 UTC by Bill Nottingham
Modified: 2015-04-30 17:13 UTC (History)
5 users (show)

Fixed In Version: v8-3.14.5.10-17.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-28 10:21:56 UTC
Type: Bug


Attachments (Terms of Use)

Description Bill Nottingham 2015-02-23 21:20:37 UTC
Description of problem:

I did 'yum install npm'. It installed a variety of things, including nodejs.

This leads to:

[root@nostromo notting]# npm
node: symbol lookup error: node: undefined symbol: _ZN2v87Isolate27SetAbortOnUncaughtExceptionEPFbvE

Downgrading to nodejs-0.10.33-1 fixes this.

Version-Release number of selected component (if applicable):

npm-1.3.6-6.fc21.noarch
nodejs-0.10.36-1.fc21.x86_64

How reproducible:

100%

Steps to Reproduce:
1. yum install npm
2. npm

Actual results:

node: symbol lookup error: node: undefined symbol: _ZN2v87Isolate27SetAbortOnUncaughtExceptionEPFbvE

Comment 1 Bill Nottingham 2015-02-23 21:22:44 UTC
This appears to be a not-fully-specified dep on the current v8 package - if I install v8-3.14.5.10-17.fc21 it fixes the undefined symbol; however, nodejs installs fine with an older version of v8 already installed.

Comment 2 T.C. Hollingsworth 2015-02-24 23:29:39 UTC
(In reply to Bill Nottingham from comment #1)
> This appears to be a not-fully-specified dep on the current v8 package

Thanks, fixed in http://pkgs.fedoraproject.org/cgit/nodejs.git/commit/?id=09e94a2e546ecc827ac6e6d3792b29a425759470

Comment 3 Fedora Update System 2015-02-25 00:02:23 UTC
nodejs-0.10.36-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/nodejs-0.10.36-3.fc22

Comment 4 Fedora Update System 2015-02-25 00:33:37 UTC
v8-3.14.5.10-17.fc21, nodejs-0.10.36-3.fc21, libuv-0.10.34-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/FEDORA-2015-2313/nodejs-0.10.36-3.fc21,libuv-0.10.34-1.fc21,v8-3.14.5.10-17.fc21

Comment 5 Fedora Update System 2015-02-25 00:35:05 UTC
v8-3.14.5.10-17.el6, nodejs-0.10.36-3.el6, libuv-0.10.34-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-0864/nodejs-0.10.36-3.el6,libuv-0.10.34-1.el6,v8-3.14.5.10-17.el6

Comment 6 Fedora Update System 2015-02-25 00:35:38 UTC
v8-3.14.5.10-17.el7, nodejs-0.10.36-3.el7, libuv-0.10.34-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-0862/nodejs-0.10.36-3.el7,libuv-0.10.34-1.el7,v8-3.14.5.10-17.el7

Comment 7 Fedora Update System 2015-02-25 00:43:56 UTC
v8-3.14.5.10-17.fc20, nodejs-0.10.36-3.fc20, libuv-0.10.34-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2015-2310/nodejs-0.10.36-3.fc20,libuv-0.10.34-1.fc20,v8-3.14.5.10-17.fc20

Comment 8 Fedora Update System 2015-02-25 13:27:34 UTC
Package v8-3.14.5.10-17.fc21, nodejs-0.10.36-3.fc21, libuv-0.10.34-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing v8-3.14.5.10-17.fc21 nodejs-0.10.36-3.fc21 libuv-0.10.34-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-2313/nodejs-0.10.36-3.fc21,libuv-0.10.34-1.fc21,v8-3.14.5.10-17.fc21
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2015-02-28 10:21:56 UTC
v8-3.14.5.10-17.fc21, nodejs-0.10.36-3.fc21, libuv-0.10.34-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-03-13 16:56:06 UTC
v8-3.14.5.10-17.fc20, nodejs-0.10.36-3.fc20, libuv-0.10.34-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-03-13 17:03:51 UTC
nodejs-0.10.36-3.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-04-30 17:12:41 UTC
v8-3.14.5.10-17.el6, nodejs-0.10.36-3.el6, libuv-0.10.34-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-04-30 17:13:22 UTC
v8-3.14.5.10-17.el7, nodejs-0.10.36-3.el7, libuv-0.10.34-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.